# One.com Asana Incidents Viz

This is a single page application written using React and Tailwind css, and uses
(Vite JS)[https://vitejs.dev] as the bundler/dev server.

This project heavily relies on the Asana v1.0 API and thus any changes to the API
will result in a non-functioning viz tool.

## Development setup

1. Clone this repo
2. Install node dependencies: `npm install`
3. Copy the `.env.example` file as `.env.local` and fill in the required values.
4. Run the local dev server: `npm run dev`

```
Note: Asana API URI can be set as https://app.asana.com/api/1.0
```

## Deployment

1. Clone this repo
2. Install node dependencies: `npm install`
3. Either follow step 3 from the development setup OR provide the same variables to the build context
4. Run the build command: `npm run build`
5. Deploy the `dist` directory to any web server of your choice

```
Note: Make sure you don't copy the node_modules folder if you are making a zip.
```

## License

This project is licensed under MIT.